# Poco::Net

# class EscapeHTMLOutputStream

Library: Net
Package: HTTP
Header: Poco/Net/EscapeHTMLStream.h

## Description

This stream replaces all occurrences of special HTML characters < > " & with their respective character entities &lt; &gt; &quot; &amp;.

## Inheritance

Direct Base Classes: EscapeHTMLIOS, std::ostream

All Base Classes: EscapeHTMLIOS, std::ios, std::ostream

## Member Summary

Inherited Functions: rdbuf

## Constructors

### EscapeHTMLOutputStream

EscapeHTMLOutputStream(
std::ostream & ostr
);

Creates the MailOutputStream and connects it to the given input stream.

## Destructor

### ~EscapeHTMLOutputStream

~EscapeHTMLOutputStream();

Destroys the MailOutputStream.